Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jnp.server
Interface MainMBean

All Known Implementing Classes:
  Main

public interface MainMBean

The Mbean interface for the jnp provider server.

Version:
  $Revision: 1.8 $
Author:
  oberg, Scott.Stark@jboss.org

Method Summary
`int` | `getBacklog()`
`String` | `getBindAddress()`
`String` | `getClientSocketFactory()` Get the RMIClientSocketFactory implementation class
`boolean` | `getInstallGlobalService()` Get the InstallGlobalService which defines whether the MainMBean's Naming server will be installed as the NamingContext.setLocal global value.
`int` | `getPort()`
`String` | `getRmiBindAddress()`
`int` | `getRmiPort()`
`String` | `getServerSocketFactory()` Get the RMIServerSocketFactory implementation class
`void` | `setBacklog(int backlog)`
`void` | `setBindAddress(String host)`
`void` | `setClientSocketFactory(String factoryClassName)` Set the RMIClientSocketFactory implementation class
`void` | `setInstallGlobalService(boolean flag)` Set the InstallGlobalService which defines whether the MainMBean's Naming server will be installed as the NamingContext.setLocal global value.
`void` | `setJNPServerSocketFactory(String factoryClassName)` Set the ServerSocketFactory implementation class
`void` | `setPort(int p)`
`void` | `setRmiBindAddress(String host)`
`void` | `setRmiPort(int p)`
`void` | `setServerSocketFactory(String factoryClassName)` Set the RMIServerSocketFactory implementation class
`void` | `start()`
`void` | `stop()`

Method Detail

### setRmiPort

    public void setRmiPort(int p)

### getRmiPort

    public int getRmiPort()

### setPort

    public void setPort(int p)

### getPort

    public int getPort()

### getBindAddress

    public String getBindAddress()

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Throws:
    `UnknownHostException`

### getRmiBindAddress

    public String getRmiBindAddress()

### setRmiBindAddress

    public void setRmiBindAddress(String host)
                           throws UnknownHostException

  Throws:
    `UnknownHostException`

### getBacklog

    public int getBacklog()

### setBacklog

    public void setBacklog(int backlog)

### getInstallGlobalService

    public boolean getInstallGlobalService()

  Get the InstallGlobalService which defines whether the MainMBean's Naming server will be installed as the NamingContext.setLocal global value.

  Returns:
    true if this is the VM global naming service, false otherwise

### setInstallGlobalService

    public void setInstallGlobalService(boolean flag)

  Set the InstallGlobalService which defines whether the MainMBean's Naming server will be installed as the NamingContext.setLocal global value.

  Returns:
    true if this is the VM global naming service, false otherwise

### getClientSocketFactory

    public String getClientSocketFactory()

  Get the RMIClientSocketFactory implementation class

### setClientSocketFactory

    public void setClientSocketFactory(String factoryClassName)
                                throws ClassNotFoundException,
                                       InstantiationException,
                                       IllegalAccessException

  Set the RMIClientSocketFactory implementation class

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

### getServerSocketFactory

    public String getServerSocketFactory()

  Get the RMIServerSocketFactory implementation class

### setServerSocketFactory

    public void setServerSocketFactory(String factoryClassName)
                                throws ClassNotFoundException,
                                       InstantiationException,
                                       IllegalAccessException

  Set the RMIServerSocketFactory implementation class

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

### setJNPServerSocketFactory

    public void setJNPServerSocketFactory(String factoryClassName)
                                   throws ClassNotFoundException,
                                          InstantiationException,
                                          IllegalAccessException

  Set the ServerSocketFactory implementation class

  Throws:
    `ClassNotFoundException`
    `InstantiationException`
    `IllegalAccessException`

### start

    public void start()
               throws Exception

  Throws:
    `Exception`

### stop

    public void stop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.